Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
182.0.0.0
Broadcast address
183.255.255.255
First usable
182.0.0.1
Last usable
183.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex B6000000 · Integer 3053453312 to 3087007743
Reverse DNS zones
182.in-addr.arpa
183.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00000000.00000000.00000000182.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10110110.00000000.00000000.00000000182.0.0.0
Broadcast10110111.11111111.11111111.11111111183.255.255.255
Split into smaller subnets/16

182.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.0.0.0/16182.0.0.1 to 182.0.255.254182.0.255.25565,534
2182.1.0.0/16182.1.0.1 to 182.1.255.254182.1.255.25565,534
3182.2.0.0/16182.2.0.1 to 182.2.255.254182.2.255.25565,534
4182.3.0.0/16182.3.0.1 to 182.3.255.254182.3.255.25565,534
5182.4.0.0/16182.4.0.1 to 182.4.255.254182.4.255.25565,534
6182.5.0.0/16182.5.0.1 to 182.5.255.254182.5.255.25565,534
7182.6.0.0/16182.6.0.1 to 182.6.255.254182.6.255.25565,534
8182.7.0.0/16182.7.0.1 to 182.7.255.254182.7.255.25565,534
9182.8.0.0/16182.8.0.1 to 182.8.255.254182.8.255.25565,534
10182.9.0.0/16182.9.0.1 to 182.9.255.254182.9.255.25565,534
11182.10.0.0/16182.10.0.1 to 182.10.255.254182.10.255.25565,534
12182.11.0.0/16182.11.0.1 to 182.11.255.254182.11.255.25565,534
13182.12.0.0/16182.12.0.1 to 182.12.255.254182.12.255.25565,534
14182.13.0.0/16182.13.0.1 to 182.13.255.254182.13.255.25565,534
15182.14.0.0/16182.14.0.1 to 182.14.255.254182.14.255.25565,534
16182.15.0.0/16182.15.0.1 to 182.15.255.254182.15.255.25565,534
17182.16.0.0/16182.16.0.1 to 182.16.255.254182.16.255.25565,534
18182.17.0.0/16182.17.0.1 to 182.17.255.254182.17.255.25565,534
19182.18.0.0/16182.18.0.1 to 182.18.255.254182.18.255.25565,534
20182.19.0.0/16182.19.0.1 to 182.19.255.254182.19.255.25565,534
21182.20.0.0/16182.20.0.1 to 182.20.255.254182.20.255.25565,534
22182.21.0.0/16182.21.0.1 to 182.21.255.254182.21.255.25565,534
23182.22.0.0/16182.22.0.1 to 182.22.255.254182.22.255.25565,534
24182.23.0.0/16182.23.0.1 to 182.23.255.254182.23.255.25565,534
25182.24.0.0/16182.24.0.1 to 182.24.255.254182.24.255.25565,534
26182.25.0.0/16182.25.0.1 to 182.25.255.254182.25.255.25565,534
27182.26.0.0/16182.26.0.1 to 182.26.255.254182.26.255.25565,534
28182.27.0.0/16182.27.0.1 to 182.27.255.254182.27.255.25565,534
29182.28.0.0/16182.28.0.1 to 182.28.255.254182.28.255.25565,534
30182.29.0.0/16182.29.0.1 to 182.29.255.254182.29.255.25565,534
31182.30.0.0/16182.30.0.1 to 182.30.255.254182.30.255.25565,534
32182.31.0.0/16182.31.0.1 to 182.31.255.254182.31.255.25565,534
33182.32.0.0/16182.32.0.1 to 182.32.255.254182.32.255.25565,534
34182.33.0.0/16182.33.0.1 to 182.33.255.254182.33.255.25565,534
35182.34.0.0/16182.34.0.1 to 182.34.255.254182.34.255.25565,534
36182.35.0.0/16182.35.0.1 to 182.35.255.254182.35.255.25565,534
37182.36.0.0/16182.36.0.1 to 182.36.255.254182.36.255.25565,534
38182.37.0.0/16182.37.0.1 to 182.37.255.254182.37.255.25565,534
39182.38.0.0/16182.38.0.1 to 182.38.255.254182.38.255.25565,534
40182.39.0.0/16182.39.0.1 to 182.39.255.254182.39.255.25565,534
41182.40.0.0/16182.40.0.1 to 182.40.255.254182.40.255.25565,534
42182.41.0.0/16182.41.0.1 to 182.41.255.254182.41.255.25565,534
43182.42.0.0/16182.42.0.1 to 182.42.255.254182.42.255.25565,534
44182.43.0.0/16182.43.0.1 to 182.43.255.254182.43.255.25565,534
45182.44.0.0/16182.44.0.1 to 182.44.255.254182.44.255.25565,534
46182.45.0.0/16182.45.0.1 to 182.45.255.254182.45.255.25565,534
47182.46.0.0/16182.46.0.1 to 182.46.255.254182.46.255.25565,534
48182.47.0.0/16182.47.0.1 to 182.47.255.254182.47.255.25565,534
49182.48.0.0/16182.48.0.1 to 182.48.255.254182.48.255.25565,534
50182.49.0.0/16182.49.0.1 to 182.49.255.254182.49.255.25565,534
51182.50.0.0/16182.50.0.1 to 182.50.255.254182.50.255.25565,534
52182.51.0.0/16182.51.0.1 to 182.51.255.254182.51.255.25565,534
53182.52.0.0/16182.52.0.1 to 182.52.255.254182.52.255.25565,534
54182.53.0.0/16182.53.0.1 to 182.53.255.254182.53.255.25565,534
55182.54.0.0/16182.54.0.1 to 182.54.255.254182.54.255.25565,534
56182.55.0.0/16182.55.0.1 to 182.55.255.254182.55.255.25565,534
57182.56.0.0/16182.56.0.1 to 182.56.255.254182.56.255.25565,534
58182.57.0.0/16182.57.0.1 to 182.57.255.254182.57.255.25565,534
59182.58.0.0/16182.58.0.1 to 182.58.255.254182.58.255.25565,534
60182.59.0.0/16182.59.0.1 to 182.59.255.254182.59.255.25565,534
61182.60.0.0/16182.60.0.1 to 182.60.255.254182.60.255.25565,534
62182.61.0.0/16182.61.0.1 to 182.61.255.254182.61.255.25565,534
63182.62.0.0/16182.62.0.1 to 182.62.255.254182.62.255.25565,534
64182.63.0.0/16182.63.0.1 to 182.63.255.254182.63.255.25565,534
65182.64.0.0/16182.64.0.1 to 182.64.255.254182.64.255.25565,534
66182.65.0.0/16182.65.0.1 to 182.65.255.254182.65.255.25565,534
67182.66.0.0/16182.66.0.1 to 182.66.255.254182.66.255.25565,534
68182.67.0.0/16182.67.0.1 to 182.67.255.254182.67.255.25565,534
69182.68.0.0/16182.68.0.1 to 182.68.255.254182.68.255.25565,534
70182.69.0.0/16182.69.0.1 to 182.69.255.254182.69.255.25565,534
71182.70.0.0/16182.70.0.1 to 182.70.255.254182.70.255.25565,534
72182.71.0.0/16182.71.0.1 to 182.71.255.254182.71.255.25565,534
73182.72.0.0/16182.72.0.1 to 182.72.255.254182.72.255.25565,534
74182.73.0.0/16182.73.0.1 to 182.73.255.254182.73.255.25565,534
75182.74.0.0/16182.74.0.1 to 182.74.255.254182.74.255.25565,534
76182.75.0.0/16182.75.0.1 to 182.75.255.254182.75.255.25565,534
77182.76.0.0/16182.76.0.1 to 182.76.255.254182.76.255.25565,534
78182.77.0.0/16182.77.0.1 to 182.77.255.254182.77.255.25565,534
79182.78.0.0/16182.78.0.1 to 182.78.255.254182.78.255.25565,534
80182.79.0.0/16182.79.0.1 to 182.79.255.254182.79.255.25565,534
81182.80.0.0/16182.80.0.1 to 182.80.255.254182.80.255.25565,534
82182.81.0.0/16182.81.0.1 to 182.81.255.254182.81.255.25565,534
83182.82.0.0/16182.82.0.1 to 182.82.255.254182.82.255.25565,534
84182.83.0.0/16182.83.0.1 to 182.83.255.254182.83.255.25565,534
85182.84.0.0/16182.84.0.1 to 182.84.255.254182.84.255.25565,534
86182.85.0.0/16182.85.0.1 to 182.85.255.254182.85.255.25565,534
87182.86.0.0/16182.86.0.1 to 182.86.255.254182.86.255.25565,534
88182.87.0.0/16182.87.0.1 to 182.87.255.254182.87.255.25565,534
89182.88.0.0/16182.88.0.1 to 182.88.255.254182.88.255.25565,534
90182.89.0.0/16182.89.0.1 to 182.89.255.254182.89.255.25565,534
91182.90.0.0/16182.90.0.1 to 182.90.255.254182.90.255.25565,534
92182.91.0.0/16182.91.0.1 to 182.91.255.254182.91.255.25565,534
93182.92.0.0/16182.92.0.1 to 182.92.255.254182.92.255.25565,534
94182.93.0.0/16182.93.0.1 to 182.93.255.254182.93.255.25565,534
95182.94.0.0/16182.94.0.1 to 182.94.255.254182.94.255.25565,534
96182.95.0.0/16182.95.0.1 to 182.95.255.254182.95.255.25565,534
97182.96.0.0/16182.96.0.1 to 182.96.255.254182.96.255.25565,534
98182.97.0.0/16182.97.0.1 to 182.97.255.254182.97.255.25565,534
99182.98.0.0/16182.98.0.1 to 182.98.255.254182.98.255.25565,534
100182.99.0.0/16182.99.0.1 to 182.99.255.254182.99.255.25565,534
101182.100.0.0/16182.100.0.1 to 182.100.255.254182.100.255.25565,534
102182.101.0.0/16182.101.0.1 to 182.101.255.254182.101.255.25565,534
103182.102.0.0/16182.102.0.1 to 182.102.255.254182.102.255.25565,534
104182.103.0.0/16182.103.0.1 to 182.103.255.254182.103.255.25565,534
105182.104.0.0/16182.104.0.1 to 182.104.255.254182.104.255.25565,534
106182.105.0.0/16182.105.0.1 to 182.105.255.254182.105.255.25565,534
107182.106.0.0/16182.106.0.1 to 182.106.255.254182.106.255.25565,534
108182.107.0.0/16182.107.0.1 to 182.107.255.254182.107.255.25565,534
109182.108.0.0/16182.108.0.1 to 182.108.255.254182.108.255.25565,534
110182.109.0.0/16182.109.0.1 to 182.109.255.254182.109.255.25565,534
111182.110.0.0/16182.110.0.1 to 182.110.255.254182.110.255.25565,534
112182.111.0.0/16182.111.0.1 to 182.111.255.254182.111.255.25565,534
113182.112.0.0/16182.112.0.1 to 182.112.255.254182.112.255.25565,534
114182.113.0.0/16182.113.0.1 to 182.113.255.254182.113.255.25565,534
115182.114.0.0/16182.114.0.1 to 182.114.255.254182.114.255.25565,534
116182.115.0.0/16182.115.0.1 to 182.115.255.254182.115.255.25565,534
117182.116.0.0/16182.116.0.1 to 182.116.255.254182.116.255.25565,534
118182.117.0.0/16182.117.0.1 to 182.117.255.254182.117.255.25565,534
119182.118.0.0/16182.118.0.1 to 182.118.255.254182.118.255.25565,534
120182.119.0.0/16182.119.0.1 to 182.119.255.254182.119.255.25565,534
121182.120.0.0/16182.120.0.1 to 182.120.255.254182.120.255.25565,534
122182.121.0.0/16182.121.0.1 to 182.121.255.254182.121.255.25565,534
123182.122.0.0/16182.122.0.1 to 182.122.255.254182.122.255.25565,534
124182.123.0.0/16182.123.0.1 to 182.123.255.254182.123.255.25565,534
125182.124.0.0/16182.124.0.1 to 182.124.255.254182.124.255.25565,534
126182.125.0.0/16182.125.0.1 to 182.125.255.254182.125.255.25565,534
127182.126.0.0/16182.126.0.1 to 182.126.255.254182.126.255.25565,534
128182.127.0.0/16182.127.0.1 to 182.127.255.254182.127.255.25565,534
129182.128.0.0/16182.128.0.1 to 182.128.255.254182.128.255.25565,534
130182.129.0.0/16182.129.0.1 to 182.129.255.254182.129.255.25565,534
131182.130.0.0/16182.130.0.1 to 182.130.255.254182.130.255.25565,534
132182.131.0.0/16182.131.0.1 to 182.131.255.254182.131.255.25565,534
133182.132.0.0/16182.132.0.1 to 182.132.255.254182.132.255.25565,534
134182.133.0.0/16182.133.0.1 to 182.133.255.254182.133.255.25565,534
135182.134.0.0/16182.134.0.1 to 182.134.255.254182.134.255.25565,534
136182.135.0.0/16182.135.0.1 to 182.135.255.254182.135.255.25565,534
137182.136.0.0/16182.136.0.1 to 182.136.255.254182.136.255.25565,534
138182.137.0.0/16182.137.0.1 to 182.137.255.254182.137.255.25565,534
139182.138.0.0/16182.138.0.1 to 182.138.255.254182.138.255.25565,534
140182.139.0.0/16182.139.0.1 to 182.139.255.254182.139.255.25565,534
141182.140.0.0/16182.140.0.1 to 182.140.255.254182.140.255.25565,534
142182.141.0.0/16182.141.0.1 to 182.141.255.254182.141.255.25565,534
143182.142.0.0/16182.142.0.1 to 182.142.255.254182.142.255.25565,534
144182.143.0.0/16182.143.0.1 to 182.143.255.254182.143.255.25565,534
145182.144.0.0/16182.144.0.1 to 182.144.255.254182.144.255.25565,534
146182.145.0.0/16182.145.0.1 to 182.145.255.254182.145.255.25565,534
147182.146.0.0/16182.146.0.1 to 182.146.255.254182.146.255.25565,534
148182.147.0.0/16182.147.0.1 to 182.147.255.254182.147.255.25565,534
149182.148.0.0/16182.148.0.1 to 182.148.255.254182.148.255.25565,534
150182.149.0.0/16182.149.0.1 to 182.149.255.254182.149.255.25565,534
151182.150.0.0/16182.150.0.1 to 182.150.255.254182.150.255.25565,534
152182.151.0.0/16182.151.0.1 to 182.151.255.254182.151.255.25565,534
153182.152.0.0/16182.152.0.1 to 182.152.255.254182.152.255.25565,534
154182.153.0.0/16182.153.0.1 to 182.153.255.254182.153.255.25565,534
155182.154.0.0/16182.154.0.1 to 182.154.255.254182.154.255.25565,534
156182.155.0.0/16182.155.0.1 to 182.155.255.254182.155.255.25565,534
157182.156.0.0/16182.156.0.1 to 182.156.255.254182.156.255.25565,534
158182.157.0.0/16182.157.0.1 to 182.157.255.254182.157.255.25565,534
159182.158.0.0/16182.158.0.1 to 182.158.255.254182.158.255.25565,534
160182.159.0.0/16182.159.0.1 to 182.159.255.254182.159.255.25565,534
161182.160.0.0/16182.160.0.1 to 182.160.255.254182.160.255.25565,534
162182.161.0.0/16182.161.0.1 to 182.161.255.254182.161.255.25565,534
163182.162.0.0/16182.162.0.1 to 182.162.255.254182.162.255.25565,534
164182.163.0.0/16182.163.0.1 to 182.163.255.254182.163.255.25565,534
165182.164.0.0/16182.164.0.1 to 182.164.255.254182.164.255.25565,534
166182.165.0.0/16182.165.0.1 to 182.165.255.254182.165.255.25565,534
167182.166.0.0/16182.166.0.1 to 182.166.255.254182.166.255.25565,534
168182.167.0.0/16182.167.0.1 to 182.167.255.254182.167.255.25565,534
169182.168.0.0/16182.168.0.1 to 182.168.255.254182.168.255.25565,534
170182.169.0.0/16182.169.0.1 to 182.169.255.254182.169.255.25565,534
171182.170.0.0/16182.170.0.1 to 182.170.255.254182.170.255.25565,534
172182.171.0.0/16182.171.0.1 to 182.171.255.254182.171.255.25565,534
173182.172.0.0/16182.172.0.1 to 182.172.255.254182.172.255.25565,534
174182.173.0.0/16182.173.0.1 to 182.173.255.254182.173.255.25565,534
175182.174.0.0/16182.174.0.1 to 182.174.255.254182.174.255.25565,534
176182.175.0.0/16182.175.0.1 to 182.175.255.254182.175.255.25565,534
177182.176.0.0/16182.176.0.1 to 182.176.255.254182.176.255.25565,534
178182.177.0.0/16182.177.0.1 to 182.177.255.254182.177.255.25565,534
179182.178.0.0/16182.178.0.1 to 182.178.255.254182.178.255.25565,534
180182.179.0.0/16182.179.0.1 to 182.179.255.254182.179.255.25565,534
181182.180.0.0/16182.180.0.1 to 182.180.255.254182.180.255.25565,534
182182.181.0.0/16182.181.0.1 to 182.181.255.254182.181.255.25565,534
183182.182.0.0/16182.182.0.1 to 182.182.255.254182.182.255.25565,534
184182.183.0.0/16182.183.0.1 to 182.183.255.254182.183.255.25565,534
185182.184.0.0/16182.184.0.1 to 182.184.255.254182.184.255.25565,534
186182.185.0.0/16182.185.0.1 to 182.185.255.254182.185.255.25565,534
187182.186.0.0/16182.186.0.1 to 182.186.255.254182.186.255.25565,534
188182.187.0.0/16182.187.0.1 to 182.187.255.254182.187.255.25565,534
189182.188.0.0/16182.188.0.1 to 182.188.255.254182.188.255.25565,534
190182.189.0.0/16182.189.0.1 to 182.189.255.254182.189.255.25565,534
191182.190.0.0/16182.190.0.1 to 182.190.255.254182.190.255.25565,534
192182.191.0.0/16182.191.0.1 to 182.191.255.254182.191.255.25565,534
193182.192.0.0/16182.192.0.1 to 182.192.255.254182.192.255.25565,534
194182.193.0.0/16182.193.0.1 to 182.193.255.254182.193.255.25565,534
195182.194.0.0/16182.194.0.1 to 182.194.255.254182.194.255.25565,534
196182.195.0.0/16182.195.0.1 to 182.195.255.254182.195.255.25565,534
197182.196.0.0/16182.196.0.1 to 182.196.255.254182.196.255.25565,534
198182.197.0.0/16182.197.0.1 to 182.197.255.254182.197.255.25565,534
199182.198.0.0/16182.198.0.1 to 182.198.255.254182.198.255.25565,534
200182.199.0.0/16182.199.0.1 to 182.199.255.254182.199.255.25565,534
201182.200.0.0/16182.200.0.1 to 182.200.255.254182.200.255.25565,534
202182.201.0.0/16182.201.0.1 to 182.201.255.254182.201.255.25565,534
203182.202.0.0/16182.202.0.1 to 182.202.255.254182.202.255.25565,534
204182.203.0.0/16182.203.0.1 to 182.203.255.254182.203.255.25565,534
205182.204.0.0/16182.204.0.1 to 182.204.255.254182.204.255.25565,534
206182.205.0.0/16182.205.0.1 to 182.205.255.254182.205.255.25565,534
207182.206.0.0/16182.206.0.1 to 182.206.255.254182.206.255.25565,534
208182.207.0.0/16182.207.0.1 to 182.207.255.254182.207.255.25565,534
209182.208.0.0/16182.208.0.1 to 182.208.255.254182.208.255.25565,534
210182.209.0.0/16182.209.0.1 to 182.209.255.254182.209.255.25565,534
211182.210.0.0/16182.210.0.1 to 182.210.255.254182.210.255.25565,534
212182.211.0.0/16182.211.0.1 to 182.211.255.254182.211.255.25565,534
213182.212.0.0/16182.212.0.1 to 182.212.255.254182.212.255.25565,534
214182.213.0.0/16182.213.0.1 to 182.213.255.254182.213.255.25565,534
215182.214.0.0/16182.214.0.1 to 182.214.255.254182.214.255.25565,534
216182.215.0.0/16182.215.0.1 to 182.215.255.254182.215.255.25565,534
217182.216.0.0/16182.216.0.1 to 182.216.255.254182.216.255.25565,534
218182.217.0.0/16182.217.0.1 to 182.217.255.254182.217.255.25565,534
219182.218.0.0/16182.218.0.1 to 182.218.255.254182.218.255.25565,534
220182.219.0.0/16182.219.0.1 to 182.219.255.254182.219.255.25565,534
221182.220.0.0/16182.220.0.1 to 182.220.255.254182.220.255.25565,534
222182.221.0.0/16182.221.0.1 to 182.221.255.254182.221.255.25565,534
223182.222.0.0/16182.222.0.1 to 182.222.255.254182.222.255.25565,534
224182.223.0.0/16182.223.0.1 to 182.223.255.254182.223.255.25565,534
225182.224.0.0/16182.224.0.1 to 182.224.255.254182.224.255.25565,534
226182.225.0.0/16182.225.0.1 to 182.225.255.254182.225.255.25565,534
227182.226.0.0/16182.226.0.1 to 182.226.255.254182.226.255.25565,534
228182.227.0.0/16182.227.0.1 to 182.227.255.254182.227.255.25565,534
229182.228.0.0/16182.228.0.1 to 182.228.255.254182.228.255.25565,534
230182.229.0.0/16182.229.0.1 to 182.229.255.254182.229.255.25565,534
231182.230.0.0/16182.230.0.1 to 182.230.255.254182.230.255.25565,534
232182.231.0.0/16182.231.0.1 to 182.231.255.254182.231.255.25565,534
233182.232.0.0/16182.232.0.1 to 182.232.255.254182.232.255.25565,534
234182.233.0.0/16182.233.0.1 to 182.233.255.254182.233.255.25565,534
235182.234.0.0/16182.234.0.1 to 182.234.255.254182.234.255.25565,534
236182.235.0.0/16182.235.0.1 to 182.235.255.254182.235.255.25565,534
237182.236.0.0/16182.236.0.1 to 182.236.255.254182.236.255.25565,534
238182.237.0.0/16182.237.0.1 to 182.237.255.254182.237.255.25565,534
239182.238.0.0/16182.238.0.1 to 182.238.255.254182.238.255.25565,534
240182.239.0.0/16182.239.0.1 to 182.239.255.254182.239.255.25565,534
241182.240.0.0/16182.240.0.1 to 182.240.255.254182.240.255.25565,534
242182.241.0.0/16182.241.0.1 to 182.241.255.254182.241.255.25565,534
243182.242.0.0/16182.242.0.1 to 182.242.255.254182.242.255.25565,534
244182.243.0.0/16182.243.0.1 to 182.243.255.254182.243.255.25565,534
245182.244.0.0/16182.244.0.1 to 182.244.255.254182.244.255.25565,534
246182.245.0.0/16182.245.0.1 to 182.245.255.254182.245.255.25565,534
247182.246.0.0/16182.246.0.1 to 182.246.255.254182.246.255.25565,534
248182.247.0.0/16182.247.0.1 to 182.247.255.254182.247.255.25565,534
249182.248.0.0/16182.248.0.1 to 182.248.255.254182.248.255.25565,534
250182.249.0.0/16182.249.0.1 to 182.249.255.254182.249.255.25565,534
251182.250.0.0/16182.250.0.1 to 182.250.255.254182.250.255.25565,534
252182.251.0.0/16182.251.0.1 to 182.251.255.254182.251.255.25565,534
253182.252.0.0/16182.252.0.1 to 182.252.255.254182.252.255.25565,534
254182.253.0.0/16182.253.0.1 to 182.253.255.254182.253.255.25565,534
255182.254.0.0/16182.254.0.1 to 182.254.255.254182.254.255.25565,534
256182.255.0.0/16182.255.0.1 to 182.255.255.254182.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses